import time

import pygame


def game():
    """
    Starts the game.
    """
    pygame.init()

    # Hide the cursor for the Pi display.
    pygame.mouse.set_visible(False)

    # The game is normally rendered at 80 pixels and upscaled from there. If changing displays, change the
    # screen_size to reflect what the resolution of the new display is.
    screen_size = 720

    window = pygame.display.set_mode((screen_size, screen_size))
    surface = pygame.Surface((screen_size, screen_size))

    clock = pygame.time.Clock()

    for i in range(5):
        window.fill((255, 0, 0))
        pygame.display.flip()
        time.sleep(0.25)
        window.fill((255, 255, 0))
        pygame.display.flip()
        time.sleep(0.25)
        window.fill((0, 255, 0))
        pygame.display.flip()
        time.sleep(0.25)
        window.fill((0, 255, 255))
        pygame.display.flip()
        time.sleep(0.25)
        window.fill((0, 0, 255))
        pygame.display.flip()
        time.sleep(0.25)
        window.fill((255, 0, 255))
        pygame.display.flip()
        time.sleep(0.25)


    pygame.quit()

game()
